Subject: [Idr] Fwd: I-D Action: draft-sas-idr-maxprefix-outbound-02.txt

From: Melchior Aelmans <[email-masked]>
Date: Tue, 16 Mar 2021 11:14:49 +0100

Hi IDR,

Some time ago we updated the maxprefix outbound draft after some discussion
on this list.
Can you please review and comment?

On behalf of the authors, thanks!
Melchior

---------- Forwarded message ---------
From: <[email-masked]>
Date: Thu, Feb 18, 2021 at 11:47 AM
Subject: I-D Action: draft-sas-idr-maxprefix-outbound-02.txt
To: <[email-masked]>

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

        Title           : Revised BGP Maximum Prefix Limits Outbound
        Authors         : Melchior Aelmans
                          Massimiliano Stucchi
                          Job Snijders
        Filename        : draft-sas-idr-maxprefix-outbound-02.txt
        Pages           : 10
        Date            : 2021-02-18

Abstract:
   This document updates RFC4271 by adding a control mechanism which
   limits the negative impact of outbound route leaks (RFC7908) in order
   to prevent resource exhaustion in Border Gateway Protocol (BGP)
   implementations.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-sas-idr-maxprefix-outbound/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-sas-idr-maxprefix-outbound-02
https://datatracker.ietf.org/doc/html/draft-sas-idr-maxprefix-outbound-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-sas-idr-maxprefix-outbound-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Jakob Heitz (jheitz)" <[email-masked]>
Date: Wed, 17 Mar 2021 02:39:22 +0000

Your additions:
- Warning about inconsistent routing
- use cases
look good.

Regards,
Jakob.

From: Idr <[email-masked]> On Behalf Of Melchior Aelmans
Sent: Tuesday, March 16, 2021 3:15 AM
To: idr <[email-masked]>
Subject: [Idr] Fwd: I-D Action: draft-sas-idr-maxprefix-outbound-02.txt

Hi IDR,

Some time ago we updated the maxprefix outbound draft after some discussion on this list.
Can you please review and comment?

---------- Forwarded message ---------
From: <[email-masked]<mailto:[email-masked]>>
Date: Thu, Feb 18, 2021 at 11:47 AM
Subject: I-D Action: draft-sas-idr-maxprefix-outbound-02.txt
To: <[email-masked]<mailto:[email-masked]>>

A New Internet-Draft is available from the on-line Internet-Drafts directories.

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

[email-masked]<mailto:[email-masked]>

---

From: Gyan Mishra <[email-masked]>
Date: Wed, 17 Mar 2021 00:39:22 -0400

Draft updates look good.

Thanks

Gyan

On Tue, Mar 16, 2021 at 10:40 PM Jakob Heitz (jheitz) <jheitz=
[email-masked]> wrote:

> *From:* Idr <[email-masked]> *On Behalf Of * Melchior Aelmans
> *Sent:* Tuesday, March 16, 2021 3:15 AM
> *To:* idr <[email-masked]>
> *Subject:* [Idr] Fwd: I-D Action: draft-sas-idr-maxprefix-outbound-02.txt
>
>
>
> Hi IDR,
>
>
>
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*M 301 502-134713101 Columbia Pike *Silver Spring, MD

---

From: Ben Maddison <[email-masked]>
Date: Wed, 17 Mar 2021 11:29:00 +0200

Hi Melchior,

> Can you please review and comment?
I have given the document a reasonably careful read, and have some
comments: some minor, others less-so.

Line numbers refer to the XML source on datatracker, which hopefully
correspond to your working version.

Section 2:
    - misspelled "discarded" (line 120)
    - "Sent" should be "Sends" (line 123)
    - "uses option (b)" should be "uses option (C)" (line 130)

Section 3:
    - The phrase "... or announces more prefixes than through local
      configuration allowed to." doesn't parse for me. (line 155)
      Perhaps:
        """
        Possible reasons for an AutomaticStop event include:
        1.  A BGP speaker receives an UPDATE message with a number of
            prefixes from a given peer such that the total prefixes
            received exceeds the maximum number of (inbound) prefixes
            configured (either "Pre-Policy" or "Post-Policy"); or
        2.  The Phase 3 Routing Decision function (RFC4271 Section 9.1.3)
            results in the total number of prefixes in the Adj-RIB-Out
            for that session exceeding the maximum number of (outbound)
            prefixes configured.
        In each case, the local system automatically disconnects the
        peer.
        """

Section 4:
    - In the inserted section 9.5.1 language, the requirement that "the
      session MUST be terminated" (line 179) seems to contradict the
      possible options enumerated in section 2.

Section 5.1:
    - "measurements" should be "measures" (line 238)

Hope this is helpful.

Cheers,

Ben